PriceCreateRequest
Request parameters for creating a new price.
- activeType: boolean
Whether the price can be used for new purchases.
- billingType: stringenum
_scheme Describes how to compute the price per period. Either
per_unitortiered.per_unitindicates that the fixed amount (specified inunit_amountorunit_amount_decimal) will be charged per unit inquantity(for prices withusage_type=licensed), or per unit of total usage (for prices withusage_type=metered).tieredindicates that the unit pricing will be computed using a tiering strategy as defined using thetiersandtiers_modeattributes.values- per
_unit - tiered
- creatednullable
Time at which the object was created. Measured in seconds since the Unix epoch.
- currencyType: stringFormat: currency
Three-letter ISO currency code, in lowercase. Must be a supported currency.
- livemodeType: boolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - lookupType: string | null
_key max length:5000A lookup key used to retrieve prices dynamically from a static string. This may be up to 200 characters.
- product
The ID of the product this price is associated with.
- Type: string · ProductIdmax length:100
The ID of the product this price is associated with.
- product
_data - nameType: stringmax length:5000required
The product's name, meant to be displayable to the customer.
- activeType: boolean
Whether the product is currently available for purchase. Defaults to
true. - descriptionType: stringmax length:40000
The product's description, meant to be displayable to the customer. Use this field to optionally store a long form explanation of the product being sold for your own rendering purposes.
- idType: stringmax length:5000
An identifier will be randomly generated by Paypercut. You can optionally override this ID, but the ID must be unique across all products in your Paypercut account.
- unitType: string
_label max length:12A label that represents units of this product. When set, this will be included in customers' receipts, invoices, Checkout, and the customer portal.
- recurringType: object · Recurring nullable
The recurring components of a price such as
intervalandusage_type. - typeType: stringenum
One of
one_timeorrecurringdepending on whether the price is for a one-time purchase or a recurring (subscription) purchase.values- one
_time - recurring
- unitType: integer | null
_amount The unit amount in cents (or local equivalent) to be charged, represented as a whole integer if possible. Only set if
billing_scheme=per_unit. - unitType: string | nullFormat: decimal
_amount _decimal The unit amount in cents (or local equivalent) to be charged, represented as a decimal string with at most 12 decimal places. Only set if
billing_scheme=per_unit.

